EDB2LDIF(8C)

NAME
edb2ldif - QUIPU EDB file to LDIF conversion tool

SYNOPSIS
SBINDIR/edb2ldif [-d] [-v] [-r] [-o] [-b basedn] [-a addvalsfile] [-f fileattrdir] [-i ignoreattr...] [edbfile...]

DESCRIPTION

Data that is held in a QUIPU DSA (available as part of the ISODE package) is stored in or can be easily converted to the EDB file format. The edb2ldif tool is used to convert directory data from EDB file format to the LDAP Directory Interchange Format (LDIF) used by slapd(8) and associated utilities. The slapadd(8) program can be used to convert the resulting LDIF data into a database that is compatible with slapd(8).

edb2ldif writes LDIF formatted data to standard output. If you specify a particular edbfile (or files) to read data from, they are converted. If no edbfile is specified, the files named EDB.root (if it exists) and EDB in the current directory are converted. An entire EDB hierarchy can be converted using the -r option.

When edb2ldif is invoked, it will also look for files named .add in the directories where EDB files are found and append the contents of the .add file to each entry in the corresponding EDB file. Typically, this feature is used to include inherited attribute values (e.g., objectClass) that do not appear in the EDB files.

See "The SLAPD and SLURPD Administrator's Guide" for more details on using edb2ldif, including step-by-step conversion instructions.

OPTIONS

-d  Turn on some extra debugging which is written to standard error.

-v  Enable verbose mode that writes status information to standard error, such as which EDB file is being processed, how many entries have been converted so far, etc.

-r  Recurse through child directories, processing all EDB files found.

-o  Cause local .add file definitions to override the global addfile (see the -a option below)

-b basedn
    Specify the Distinguished Name that all EDB file entries appear below.

-a  addvalsfile
    The LDIF information contained in this file will be appended to each entry. (See the -o option above.)

-f fileattrdir
    Specify a single directory where all file-based attributes (typically sounds and images) can be found. If this option is not given, file attributes are assumed to be located in the same directory as the EDB file that refers to them.

-i ignoreattr
    Specify an attribute that should not be converted. You can include as many - i flags as necessary.

SEE ALSO
ldap(3), ldif(5), slapd(8), slapadd(8)

"The SLAPD and SLURPD Administrator's Guide"

Volume 5 of The ISODE Manual

ACKNOWLEDGEMENTS
OpenLDAP is developed and maintained by The OpenLDAP Project (http://www.openldap.org/). OpenLDAP is derived from University of Michigan LDAP 3.3 Release.